%define upstream_name    Authen-DecHpwd
%define upstream_version 2.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    DEC VMS password hashing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Integer) >= 0.3.0
BuildRequires: perl(Digest::CRC) >= 0.140.0
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::String)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module implements the 'LGI$HPWD' password hashing function from VMS,
and some associated VMS username and password handling functions.

The password hashing function is implemented in XS, with a hideously slow
pure Perl backup version for systems that can't handle XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2.6.0-11.mga6
+ Revision: 1022609
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.6.0-10.mga6
+ Revision: 956725
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 2.6.0-9.mga6
+ Revision: 844120
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.6.0-8.mga5
+ Revision: 738883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.0-7.mga5
+ Revision: 683568
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.6.0-6.mga5
+ Revision: 632142
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.6.0-5.mga4
+ Revision: 524574
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.6.0-4.mga4
+ Revision: 431169
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-3.mga3
+ Revision: 363238
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.6.0-2.mga3
+ Revision: 250271
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 2.6.0-1.mga2
+ Revision: 107745
- update to 2.006

* Sat Jun 11 2011 jquelin <jquelin> 2.5.0-2.mga2
+ Revision: 103454
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 2.5.0-1.mga1
+ Revision: 23188
- cleaning spec file
- imported package perl-Authen-DecHpwd

